package com.lantone.security.enums;

import lombok.Getter;

/**
 * @Description: 消息队列枚举配置
 * @author: rengb
 * @time: 2021/1/5 18:27
 */
@Getter
public enum QueueEnum {

    /**
     * 消息通知队列-基础信息变更导致redis需要刷新
     */
    QUEUE_REDIS_CACHE_REFRESH("emrais.redis.cache.refresh.direct", "emrais.redis.cache.refresh.queue", "emrais.redis.cache.refresh.routekey");

    /**
     * 交换名称
     */
    private String exchange;

    /**
     * 队列名称
     */
    private String name;

    /**
     * 路由键
     */
    private String routeKey;

    QueueEnum(String exchange, String name, String routeKey) {
        this.exchange = exchange;
        this.name = name;
        this.routeKey = routeKey;
    }

}